{% extends 'base.html.twig' %}

{% block title %}Reservation index{% endblock %}

{% block body %}
{{ include('header_admin/header_admin.html.twig') }}
    <div class="container-full text-center">
        <h2 class="mt-4">Gestion des Réservations</h2>
    </div>
    
    <div class="container">
        <table class="table mb-5">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nom</th>
                <th>Email</th>
                <th>Telephone</th>
                <th>Nombre</th>
                <th>Heure</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for reservation in reservations %}
            <tr>
                <td>{{ reservation.id }}</td>
                <td>{{ reservation.nom }}</td>
                <td>{{ reservation.email }}</td>
                <td>{{ reservation.telephone }}</td>
                <td>{{ reservation.nombre }}</td>
                <td>{{ reservation.date|date('d/m/Y H:i') }}</td>
                <td>
                    <a class="btn btn-secondary btn-sm" href="{{ path('app_reservation_show', {'id': reservation.id}) }}">Voir</a>
                    <a class="btn btn-warning btn-sm" href="{{ path('app_reservation_edit', {'id': reservation.id}) }}">Éditer</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </div>

    {{ include('footer/footer.html.twig') }}
{% endblock %}
